Package oracle.jdbc.dcn

## Interface DatabaseChangeListener

All Superinterfaces:
  `java.util.EventListener`

    public interface DatabaseChangeListener
    extends java.util.EventListener

The listener interface for receiving Database Change Notification (DCN) events. The class that is interested in processing a DCN event implements this interface, and the object created with that class is registered with a `DatabaseChangeRegistration`, using it's `addListener` method. When the DCN event occurs, that object's `onDatabaseChangeNotification` method is invoked.``

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDatabaseChangeNotification​(DatabaseChangeEvent e)` This method will be invoked whenever a Database Change event occurs.

### Method Detail

#### onDatabaseChangeNotification

    void onDatabaseChangeNotification​(DatabaseChangeEvent e)

This method will be invoked whenever a Database Change event occurs. Note that you can control which thread will invoke this method by specifying an executor when you register this listener. If the code inside this method is time/resource consuming, then it is recommended to use your own thread otherwise you may starve the other listeners.